osl::eval::ml::King25EmptyAbs< Opening > Class Template Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 5 * 5 * 5 * 9 }

## Static Public Member Functions

static int | evalWithUpdate (const NumEffectState &state, osl::Move moved, int last_value)
static void | setUp (const Weights &weigths)
static int | eval (const NumEffectState &state)

## Static Private Member Functions

template<Player player>
static int | index (Square king, Square target)
static int | index (Square king, Square target, Player player)
template<Player Defense>
static int | evalOne (const NumEffectState &state)

## Static Private Attributes

static CArray< int, 1125 > | table

## Detailed Description

template<bool Opening>
class osl::eval::ml::King25EmptyAbs< Opening >

Definition at line 465 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

template<bool Opening>

anonymous enum

Enumerator
DIM |

Definition at line 468 of file kingTable.h.

## Member Function Documentation

## eval()

template<bool Opening>

int osl::eval::ml::King25EmptyAbs< Opening >::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 1147 of file kingTable.cc.

References evalOne().

Referenced by evalWithUpdate().

## evalOne()

template<bool Opening>
template<osl::Player Defense>

int osl::eval::ml::King25EmptyAbs< Opening >::evalOne | ( | const NumEffectState & | state | ) |

static private

Definition at line 1120 of file kingTable.cc.

References osl::BLACK, index(), osl::Piece::isEmpty(), osl::Square::isOnBoard(), osl::SimpleState::kingSquare(), osl::SimpleState::pieceAt(), table, osl::Square::x(), and osl::Square::y().

Referenced by eval().

## evalWithUpdate()

template<bool Opening>

int osl::eval::ml::King25EmptyAbs< Opening >::evalWithUpdate | ( | const NumEffectState & | state,
|  | osl::Move | moved,
|  | int | last_value )

static

Definition at line 1154 of file kingTable.cc.

References osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), eval(), osl::Move::from(), index(), osl::Move::isDrop(), osl::KING, osl::SimpleState::kingSquare(), osl::Move::player(), osl::Move::ptype(), osl::PTYPE_EMPTY, table, osl::Move::to(), osl::Square::x(), and osl::Square::y().

## index() [1/2]

template<bool Opening>
template<osl::Player player>

int osl::eval::ml::King25EmptyAbs< Opening >::index | ( | Square | king,
|  | Square | target )

static private

Definition at line 1096 of file kingTable.cc.

References osl::BLACK, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by evalOne(), evalWithUpdate(), and index().

## index() [2/2]

template<bool Opening>

int osl::eval::ml::King25EmptyAbs< Opening >::index | ( | Square | king,
|  | Square | target,
|  | Player | player )

inline static private

Definition at line 474 of file kingTable.h.

References osl::BLACK, and index().

## setUp()

template<bool Opening>

void osl::eval::ml::King25EmptyAbs< Opening >::setUp | ( | const Weights & | weigths | ) |

static

Definition at line 1086 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

template<bool Opening>

osl::CArray< int, 1125 > osl::eval::ml::King25EmptyAbs< Opening >::table

static private

Definition at line 470 of file kingTable.h.

Referenced by evalOne(), evalWithUpdate(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc